Debian Bug report logs - #640562
FTBFS against libav/0.7.1

version graph

Package: motion; Maintainer for motion is Ximin Luo <infinity0@pwned.gg>; Source for motion is src:motion.

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Mon, 5 Sep 2011 18:54:05 UTC

Severity: serious

Tags: patch, sid, wheezy

Fixed in version motion/3.2.12-3.1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Juan Angulo Moreno <juan@apuntale.com>:
Bug#640562; Package motion. (Mon, 05 Sep 2011 18:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to Juan Angulo Moreno <juan@apuntale.com>. (Mon, 05 Sep 2011 18:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS against libav/0.7.1
Date: Mon, 05 Sep 2011 20:52:28 +0200
Package: motion
Severity: serious

libav 0.7.1 has been uploaded to sid a few days ago. libav 0.7.1
deprecates a few API elements, which results in the following
build failure in motion:

ffmpeg.c:34:10: warning: #warning Note that this is not an error message! [-Wcpp]
ffmpeg.c:35:10: warning: #warning ************************************************** [-Wcpp]
ffmpeg.c:183:5: warning: initialization from incompatible pointer type [enabled by default]
ffmpeg.c:183:5: warning: (near initialization for ‘file_protocol.url_write’) [enabled by default]
ffmpeg.c: In function ‘mpeg1_write_trailer’:
ffmpeg.c:202:5: warning: ‘put_buffer’ is deprecated (declared at /usr/include/libavformat/avio.h:255) [-Wdeprecated-declarations]
ffmpeg.c:203:5: warning: ‘put_flush_packet’ is deprecated (declared at /usr/include/libavformat/avio.h:292) [-Wdeprecated-declarations]
ffmpeg.c: In function ‘ffmpeg_init’:
ffmpeg.c:232:5: warning: implicit declaration of function ‘av_register_protocol’ [-Wimplicit-function-declaration]
ffmpeg.c: In function ‘get_oformat’:
ffmpeg.c:261:9: warning: implicit declaration of function ‘guess_format’ [-Wimplicit-function-declaration]
ffmpeg.c:261:12: warning: assignment makes pointer from integer without a cast [enabled by default]
ffmpeg.c:273:12: warning: assignment makes pointer from integer without a cast [enabled by default]
ffmpeg.c:276:12: warning: assignment makes pointer from integer without a cast [enabled by default]
ffmpeg.c:283:12: warning: assignment makes pointer from integer without a cast [enabled by default]
ffmpeg.c:286:12: warning: assignment makes pointer from integer without a cast [enabled by default]
ffmpeg.c:290:12: warning: assignment makes pointer from integer without a cast [enabled by default]
ffmpeg.c:298:12: warning: assignment makes pointer from integer without a cast [enabled by default]
ffmpeg.c: In function ‘ffmpeg_open’:
ffmpeg.c:380:21: error: ‘CODEC_TYPE_VIDEO’ undeclared (first use in this function)
ffmpeg.c:380:21: note: each undeclared identifier is reported only once for each function it appears in
ffmpeg.c:420:5: warning: ‘av_set_parameters’ is deprecated (declared at /usr/include/libavformat/avformat.h:1336) [-Wdeprecated-declarations]
ffmpeg.c:501:9: warning: ‘url_fopen’ is deprecated (declared at /usr/include/libavformat/avio.h:278) [-Wdeprecated-declarations]ffmpeg.c:511:17: warning: ‘url_fopen’ is deprecated (declared at /usr/include/libavformat/avio.h:278) [-Wdeprecated-declarations]
ffmpeg.c:532:5: warning: ‘av_write_header’ is deprecated (declared at /usr/include/libavformat/avformat.h:1394) [-Wdeprecated-declarations]
ffmpeg.c: In function ‘ffmpeg_close’:
ffmpeg.c:599:9: warning: ‘url_fclose’ is deprecated (declared at /usr/include/libavformat/avio.h:279) [-Wdeprecated-declarations]
ffmpeg.c: In function ‘ffmpeg_put_frame’:
ffmpeg.c:649:22: error: ‘PKT_FLAG_KEY’ undeclared (first use in this function)
make[1]: *** [ffmpeg.o] Fehler 1
make[1]: Leaving directory `/home/jmm/scratch/motion-3.2.12'
make: *** [build-stamp] Fehler 2
dpkg-buildpackage: Fehler: Fehler-Exitstatus von debian/rules build war 2

Cheers,
        Moritz

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added tag(s) sid and wheezy. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 03 Oct 2011 20:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Angulo Moreno <juan@apuntale.com>:
Bug#640562; Package motion. (Tue, 20 Dec 2011 07:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Juan Angulo Moreno <juan@apuntale.com>. (Tue, 20 Dec 2011 07:54:13 GMT) Full text and rfc822 format available.

Message #12 received at 640562@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 640562@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#640562: FTBFS against libav/0.7.1
Date: Tue, 20 Dec 2011 08:35:02 +0100
[Message part 1 (text/plain, inline)]
tag 640562 + patch
thanks

Hi,

On Mon, Sep 05, 2011 at 08:52:28PM +0200, Moritz Muehlenhoff wrote:
> libav 0.7.1 has been uploaded to sid a few days ago. libav 0.7.1
> deprecates a few API elements, which results in the following
> build failure in motion:

The attached patch (adapted from upstream) allows motion to build in a
current unstable chroot.

Regards,

Stephen
[02_libav07.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 20 Dec 2011 07:54:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juan Angulo Moreno <juan@apuntale.com>:
Bug#640562; Package motion. (Thu, 19 Jan 2012 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Muammar El Khatib <muammar@debian.org>:
Extra info received and forwarded to list. Copy sent to Juan Angulo Moreno <juan@apuntale.com>. (Thu, 19 Jan 2012 16:00:05 GMT) Full text and rfc822 format available.

Message #19 received at 640562@bugs.debian.org (full text, mbox):

From: Muammar El Khatib <muammar@debian.org>
To: Debian Bug Tracking System <640562@bugs.debian.org>
Cc: Juan Angulo Moreno <juan@apuntale.com>
Subject: Re: FTBFS against libav/0.7.1
Date: Thu, 19 Jan 2012 16:56:10 +0100
Package: motion
Followup-For: Bug #640562

Any advance on applying this patch to make motion compile against libav 0.7.1?

Regards,

--
Muammar El Khatib.
Linux user: 403107.
Key fingerprint = 90B8 BFC4 4A75 B881 39A3 1440 30EB 403B 1270 29F1
http://muammar.me | http://proyectociencia.org
  ,''`.
 : :' :
 `. `'
   `-




Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Sun, 12 Feb 2012 22:36:06 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Sun, 12 Feb 2012 22:36:06 GMT) Full text and rfc822 format available.

Message #24 received at 640562-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 640562-close@bugs.debian.org
Subject: Bug#640562: fixed in motion 3.2.12-3.1
Date: Sun, 12 Feb 2012 22:33:00 +0000
Source: motion
Source-Version: 3.2.12-3.1

We believe that the bug you reported is fixed in the latest version of
motion, which is due to be installed in the Debian FTP archive:

motion_3.2.12-3.1.debian.tar.gz
  to main/m/motion/motion_3.2.12-3.1.debian.tar.gz
motion_3.2.12-3.1.dsc
  to main/m/motion/motion_3.2.12-3.1.dsc
motion_3.2.12-3.1_amd64.deb
  to main/m/motion/motion_3.2.12-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 640562@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated motion package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 12 Feb 2012 23:02:18 +0100
Source: motion
Binary: motion
Architecture: source amd64
Version: 3.2.12-3.1
Distribution: unstable
Urgency: low
Maintainer: Juan Angulo Moreno <juan@apuntale.com>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 motion     - V4L capture program supporting motion detection
Closes: 631198 640562 644006
Changes: 
 motion (3.2.12-3.1) unstable; urgency=low
 .
   * * Non-maintainer upload.
   * Autogenerate autotools files. Build-depend on dh-autoreconf (not
     autoconf-dev).
   * Add patches cherry-picked from upstream VCS and unfuzzed, to fix
     linking against recent libav*.
     Closes: bug#640562. Thanks to Moritz Muehlenhoff and Stephen Kitt.
   * Add patch 02, to autodetect multiarch libavcodec path in autoconf.
     Closes: bug#644006. Thanks to Moritz Muehlenhoff and Stephen Kitt.
   * Create piddir when started (not when installed).
     Closes: bug#631198. Thanks to Ibragimov Rinat.
Checksums-Sha1: 
 51475ed7f34f191ef8383a4422e1cf1cba31892d 1817 motion_3.2.12-3.1.dsc
 a97e7ba5dd0f87e697af7b15494300a51908d13c 35702 motion_3.2.12-3.1.debian.tar.gz
 76c4712b3f7023b4d0ee5ad696534a308ad6b88f 264652 motion_3.2.12-3.1_amd64.deb
Checksums-Sha256: 
 d2410bfa21cc6252b4a693c732ef858087e71cbfcf8aa08bcad2ca13add69cb3 1817 motion_3.2.12-3.1.dsc
 954abc49ec5ff287996edb85ed3941ffb3e3240ffbb33923ec57f405febedf7a 35702 motion_3.2.12-3.1.debian.tar.gz
 f50e18429bc9f5c72fcbe73d36719959da5eb7330ba3dc3c23445d46f492acfa 264652 motion_3.2.12-3.1_amd64.deb
Files: 
 be0d5f505dc5cf1eb66350a9824f8a4f 1817 graphics optional motion_3.2.12-3.1.dsc
 509519d34c8f626bd608b690b999f094 35702 graphics optional motion_3.2.12-3.1.debian.tar.gz
 45e9e26812ee1550e0c9e0c27fe9ed83 264652 graphics optional motion_3.2.12-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPODrXAAoJECx8MUbBoAEhZYAP/0o9f1nmw/IMGN6F+w14kDW5
ZZ0FiyMzqdbhNuukg1iM2aooZnhgkX/E/82Zh+ImJaq69ezknX40vLClQ6dyd+Te
UrpYuAT8uLCS/Fmz/7RCnT9Xl3lXLZi+8YGQ4/aU3zRhkBh7ATFp/K8LPe2gBbYa
gOndcOOOstC1iELlLnurXOYsRmqw6gZC5+m+bFCeBPccS3B1FQyFf7y/UyaaBuFI
LZjciJ6A+cQb4BNsXdGr9gVBPR9UyoN577NzW5LVZLvbtAfV9ntVxEGjHKUJiaIt
li4WNZaeSjj2g3MplThXxHS0McvGfE9vX+ftNjmmAxjw60ILnsrRDeois2VLhHsu
kSGL9grqPup69nEeIkK7pIG00VBjaSyinBHc/7kMlxQ2b7I1Zcx91iqyj0QyZsIm
lxooZ3wicId1okXKkyGuiFxlve5Dm3CFqbORJ8faabsCOqKYqXBNq4K1Mvs6w4Gu
CBLaEdLsEPTIzQqIgp2VsvLMVPoCm5eRpBrmme2idwHk66uWUt/YPw0f5ANNxFW3
X3R54Yc3xXZYwO6jwlKo1luv3u/ZVZNKiuBUStHICcGEfByVQdeaintJHfCCAtLP
8OwWFxdamtZbgag3VDioLIqecZ+cqsoBk2DAdwhY62Qjuu6PO7oTE12I68z1o+MC
FvaxY3TjLw5x09UH1bb5
=BlLu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Mar 2012 07:44:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:35:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.